> This page is for Workspace app.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Update signing integration permissions

PATCH https://api.cloudraker.com/signing/developer/keys/{id}
Content-Type: application/json

Reference: https://docs.cloudraker.com/workspace/api/signing-administration/update-signing-integration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects an UpdateSigningApiKey.

- `version` (integer, required)
- `name` (string, optional)
- `scopes` (list of enum, optional)
  - Allowed values: `documents:read`, `documents:write`, `documents:send`, `templates:read`, `templates:write`, `contacts:read`, `contacts:write`, `groups:read`, `groups:write`, `forms:read`, `forms:write`, `jobs:read`, `jobs:write`, `branding:read`, `branding:write`, `reports:read`, `reports:write`, `archive:read`, `archive:write`, `delegations:read`, `delegations:write`, `delegations:use`, `webhooks:read`, `webhooks:write`
- `expiresAt` (datetime, optional, nullable)

## Response

### 200

Updated integration.

- `id` (string, required)
- `keyId` (string, required)
- `name` (string, required)
- `teamId` (string, required)
- `scopes` (list of enum, required)
  - Allowed values: `documents:read`, `documents:write`, `documents:send`, `templates:read`, `templates:write`, `contacts:read`, `contacts:write`, `groups:read`, `groups:write`, `forms:read`, `forms:write`, `jobs:read`, `jobs:write`, `branding:read`, `branding:write`, `reports:read`, `reports:write`, `archive:read`, `archive:write`, `delegations:read`, `delegations:write`, `delegations:use`, `webhooks:read`, `webhooks:write`
- `expiresAt` (datetime, required, nullable)
- `createdAt` (datetime, required)
- `updatedAt` (datetime, required)
- `lastUsedAt` (string, required, nullable)
- `createdBy` (string, required)
- `revokedAt` (datetime, required, nullable)
- `version` (integer, required)

## Errors

### 400 Bad Request Error

Validation Error

- `success` (boolean, required)
- `error` (list of any, required)
- `data` (any, required)

## Examples

**Request**

```json
{
  "version": 1
}
```

**Response**

```json
{
  "id": "string",
  "keyId": "string",
  "name": "string",
  "teamId": "string",
  "scopes": [
    "documents:read"
  ],
  "expiresAt": "2024-01-15T09:30:00Z",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "lastUsedAt": "string",
  "createdBy": "string",
  "revokedAt": "2024-01-15T09:30:00Z",
  "version": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.cloudraker.com/signing/developer/keys/id"

payload = { "version": 1 }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.cloudraker.com/signing/developer/keys/id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"version":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cloudraker.com/signing/developer/keys/id"

	payload := strings.NewReader("{\n  \"version\": 1\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cloudraker.com/signing/developer/keys/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"version\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.cloudraker.com/signing/developer/keys/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"version\": 1\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.cloudraker.com/signing/developer/keys/id', [
  'body' => '{
  "version": 1
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cloudraker.com/signing/developer/keys/id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"version\": 1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["version": 1] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cloudraker.com/signing/developer/keys/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```